<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Demo3.aspx.cs" Inherits="Demo3" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <title>ASP.NET Org Chart Component - Templates And Backgrounds</title>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Templates And Backgrounds
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    
    <p>
        The Org Chart Component is a databound template control. 
        
        A templated control does not itself provide a user interface (UI). The UI for 
        the control is supplied by a page developer through inline templates which allow 
        a page developer to customize the UI for the control. Developers can use the template editor in Visual Studio.NET to easily create a UI for their org chart.</p>
    
    <p>
        In addition the Org Chart Component comes with a number pre-defined background in different colours and different styles. Developers are
        able to define their own background if none of the inbuilt styles are suitable.
        style easily</p>
    <p>
        The templates supported are:
    </p>
    
    <ul>
        <li>
            
                <span class="propertyName">DetailedTemplate</span> is used to create the user interface for items in the org chart
        </li>
         <li>
            
                <span class="propertyName">EditTemplate</span> is displayed when an end user selects a specific org chart item to edit
        </li>
        <li>
            
                <span class="propertyName">HeaderTemplate</span> displayed at the top of the chart
        </li>
        <li>
            
                <span class="propertyName">FooterTemplate</span> displayed at the foot of the chart
        </li>
        <li>
            
                <span class="propertyName">SummaryTemplate</span> alternative to DetailedTemplate.&nbsp;
                Used to show a summary of each nodes data
        </li>
        <li>
            
                <span class="propertyName">StackTemplate</span> used when the lower levels of the
                chart are being draw in the stacked mode
        </li>
        <li>
            
                <span class="propertyName">NoDataTemplate</span> displayed when the data source
                returns an empty dataset
        </li>
    </ul>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <p>The example below allows you to select some of the in-built backgrounds</p>
    <table>
        <tr>
            <td valign="top">
                <fieldset>
                    <legend>Set background Image Properties</legend>Colour :
                    <asp:DropDownList ID="drpColour" runat="server" AutoPostBack="true">
                    </asp:DropDownList>
                    Shape :
                    <asp:DropDownList ID="drpShape" runat="server" AutoPostBack="true">
                    </asp:DropDownList>
                    <asp:DropDownList ID="DropDownList1" runat="server" AutoPostBack="True">
                        <asp:ListItem Selected="True">Small</asp:ListItem>
                        <asp:ListItem>Medium</asp:ListItem>
                        <asp:ListItem>Large</asp:ListItem>
                    </asp:DropDownList>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:XmlBoundOrganisationChart ID="XmlChart" runat="server" DataSourceID="XmlData" Width="865px">
                    <DetailedTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Container["Name"] %>' 
                            ForeColor="Black"></asp:Label>
                    </DetailedTemplate>
                    <ChartItem AutoGenerateFields="False">
                    </ChartItem>
                </cc1:XmlBoundOrganisationChart>
            </td>
        </tr>
    </table>
    <asp:XmlDataSource runat="server" DataFile="~/smallChart.xml" ID="XmlData"></asp:XmlDataSource>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
    <h3>
        <a href="#">C# Code</a></h3>
    <div>
     
<pre class="alt"><span class="lnum">   1:  </span>   <span class="kwrd">protected</span> <span class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)</pre>
<pre><span class="lnum">   2:  </span>    {</pre>
<pre class="alt"><span class="lnum">   3:  </span>        <span class="rem">// Fill the drop down lists with the values from the Org Chart</span></pre>
<pre><span class="lnum">   4:  </span>        <span class="kwrd">if</span> (!IsPostBack)</pre>
<pre class="alt"><span class="lnum">   5:  </span>        {</pre>
<pre><span class="lnum">   6:  </span>            drpColour.DataSource = Enum.GetNames(<span class="kwrd">typeof</span>(OrgChart.Core.BackgroundImageColour));</pre>
<pre class="alt"><span class="lnum">   7:  </span>            drpColour.DataBind();</pre>
<pre><span class="lnum">   8:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">   9:  </span>            drpShape.DataSource = Enum.GetNames(<span class="kwrd">typeof</span>(OrgChart.Core.BackgroundImageStyle));</pre>
<pre><span class="lnum">  10:  </span>            drpShape.DataBind();</pre>
<pre class="alt"><span class="lnum">  11:  </span>&nbsp;</pre>
<pre><span class="lnum">  12:  </span>            DropDownList1.DataSource = Enum.GetNames(<span class="kwrd">typeof</span>(OrgChart.Core.BackgroundImageSize));</pre>
<pre class="alt"><span class="lnum">  13:  </span>            DropDownList1.DataBind();</pre>
<pre><span class="lnum">  14:  </span>        }        </pre>
<pre class="alt"><span class="lnum">  15:  </span>    }</pre>
<pre><span class="lnum">  16:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  17:  </span>    <span class="kwrd">protected</span> <span class="kwrd">override</span> <span class="kwrd">void</span> OnPreRender(EventArgs e)</pre>
<pre><span class="lnum">  18:  </span>    {</pre>
<pre class="alt"><span class="lnum">  19:  </span>        <span class="rem">// Set the Chart colour, style and size from the values in the drop down list</span></pre>
<pre><span class="lnum">  20:  </span>        XmlChart.ChartItem.Colour = </pre>
<pre class="alt"><span class="lnum">  21:  </span>                (BackgroundImageColour)Enum.Parse(<span class="kwrd">typeof</span>(BackgroundImageColour), drpColour.SelectedValue);</pre>
<pre><span class="lnum">  22:  </span>        XmlChart.ChartItem.BorderStyle = </pre>
<pre class="alt"><span class="lnum">  23:  </span>                (BackgroundImageStyle)Enum.Parse(<span class="kwrd">typeof</span>(BackgroundImageStyle), drpShape.SelectedValue);</pre>
<pre><span class="lnum">  24:  </span>        XmlChart.ChartItem.Size = </pre>
<pre class="alt"><span class="lnum">  25:  </span>                (BackgroundImageSize)Enum.Parse(<span class="kwrd">typeof</span>(BackgroundImageSize), DropDownList1.SelectedValue);</pre>
<pre><span class="lnum">  26:  </span>        XmlChart.DataBind();</pre>
<pre class="alt"><span class="lnum">  27:  </span>        </pre>
<pre><span class="lnum">  28:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  29:  </span>        <span class="kwrd">base</span>.OnPreRender(e);</pre>
<pre><span class="lnum">  30:  </span>    }</pre>

    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
<pre class="alt"><span class="lnum">   1:  </span><span class="kwrd">&lt;</span><span class="html">table</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   2:  </span>        <span class="kwrd">&lt;</span><span class="html">tr</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   3:  </span>            <span class="kwrd">&lt;</span><span class="html">td</span> <span class="attr">valign</span><span class="kwrd">="top"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   4:  </span>                <span class="kwrd">&lt;</span><span class="html">fieldset</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   5:  </span>                    <span class="kwrd">&lt;</span><span class="html">legend</span><span class="kwrd">&gt;</span>Set background Image Properties<span class="kwrd">&lt;/</span><span class="html">legend</span><span class="kwrd">&gt;</span>Colour :</pre>
<pre><span class="lnum">   6:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:DropDownList</span> <span class="attr">ID</span><span class="kwrd">="drpColour"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">AutoPostBack</span><span class="kwrd">="true"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   7:  </span>                    <span class="kwrd">&lt;/</span><span class="html">asp:DropDownList</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   8:  </span>                    Shape :</pre>
<pre class="alt"><span class="lnum">   9:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:DropDownList</span> <span class="attr">ID</span><span class="kwrd">="drpShape"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">AutoPostBack</span><span class="kwrd">="true"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  10:  </span>                    <span class="kwrd">&lt;/</span><span class="html">asp:DropDownList</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  11:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:DropDownList</span> <span class="attr">ID</span><span class="kwrd">="DropDownList1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">AutoPostBack</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  12:  </span>                        <span class="kwrd">&lt;</span><span class="html">asp:ListItem</span> <span class="attr">Selected</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span>Small<span class="kwrd">&lt;/</span><span class="html">asp:ListItem</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  13:  </span>                        <span class="kwrd">&lt;</span><span class="html">asp:ListItem</span><span class="kwrd">&gt;</span>Medium<span class="kwrd">&lt;/</span><span class="html">asp:ListItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  14:  </span>                        <span class="kwrd">&lt;</span><span class="html">asp:ListItem</span><span class="kwrd">&gt;</span>Large<span class="kwrd">&lt;/</span><span class="html">asp:ListItem</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  15:  </span>                    <span class="kwrd">&lt;/</span><span class="html">asp:DropDownList</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  16:  </span>                <span class="kwrd">&lt;/</span><span class="html">fieldset</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  17:  </span>            <span class="kwrd">&lt;/</span><span class="html">td</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  18:  </span>        <span class="kwrd">&lt;/</span><span class="html">tr</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  19:  </span>        <span class="kwrd">&lt;</span><span class="html">tr</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  20:  </span>            <span class="kwrd">&lt;</span><span class="html">td</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  21:  </span>                <span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="XmlChart"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">DataSourceID</span><span class="kwrd">="XmlData"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  22:  </span>                <span class="kwrd">&lt;/</span><span class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  23:  </span>            <span class="kwrd">&lt;/</span><span class="html">td</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  24:  </span>        <span class="kwrd">&lt;/</span><span class="html">tr</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  25:  </span>    <span class="kwrd">&lt;/</span><span class="html">table</span><span class="kwrd">&gt;</span></pre>
      
    </div>
</asp:Content>
