﻿<%@ Page Title="ASP.NET Org Chart Component - Rendering Assistants" Language="C#"
    MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Demo7.aspx.cs"
    Inherits="Demo7" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Rendering Assistants
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    <p>
        The organisation chart component supports the rendering of assistants. Assistants
        can be used to represent a variety of roles within an organisation, for example
        personal assistants.</p>
    <p>
        The example below is shows an XML bound organisation chart bound to <a href="demo7.xml">
            this XML Chart</a>.&nbsp; To indicate that a chart Item should be rendered as
        an assistant the <b>RenderAsAssistant</b> attribute must be added to the data element
        and set to &quot;True&quot;.&nbsp;&nbsp; This can either be as an attribute in an
        Xml file as shown or as a column in a DataTable for a DataBound xml chart.</p>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/demo7.xml"></asp:XmlDataSource>
    <p>
        The positioning of the assistants can be on either the left or the right and this
        behaviour is controlled by the Org Chart Control by setting the property "AssistantItem.DrawRight"
        <br />
        <asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="true" Text="Draw Assistants Right" /></p>
    <cc1:XmlBoundOrganisationChart ID="XmlBoundOrganisationChart1" runat="server" DataSourceID="XmlDataSource1"
         EnableViewState="False" Width="100%">
        <AssistantItem ShowBackgroundImage="False">
            <ItemStyle Font-Bold="False" Font-Overline="False" Font-Strikeout="False" Height="55px" Width="100px"/>
        </AssistantItem>
        <DetailedTemplate>
            <div class="demo7DetailedTemplate">
                <%#Container["name"] %>
            </div>
        </DetailedTemplate>
        <AssistantTemplate>
            <div class="demo7AssistantTemplate">                
                    <center><%#Container["name"] %></center>
            </div>
        </AssistantTemplate>
        <ChartItem ShowBackgroundImage="False">
        </ChartItem>
    </cc1:XmlBoundOrganisationChart>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
    <h3>
        <a href="#">Xml Data File</a></h3>
    <div>
        <pre class="alt"><span class="lnum">1: </span><span class="kwrd">&lt;?</span><span
            class="html">xml</span> <span class="attr">version</span><span class="kwrd">="1.0"</span> <span
                class="attr">encoding</span><span class="kwrd">="utf-8"</span> ?<span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">2: </span>    <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">name</span><span class="kwrd">="Tom"</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">3: </span>    <span class="kwrd">&lt;</span><span
            class="html">Node</span> <span class="attr">name</span><span class="kwrd">="Tim"</span> <span
                class="attr">renderAsAssistant</span><span class="kwrd">="true"</span><span class="kwrd">/&gt;</span></pre>
        <pre><span class="lnum">4: </span>    <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">name</span><span class="kwrd">="Phil"</span> <span class="attr">renderAsAssistant</span><span
                class="kwrd">="true"</span><span class="kwrd">/&gt;</span>      </pre>
        <pre class="alt"><span class="lnum">5: </span>    <span class="kwrd">&lt;</span><span
            class="html">Node</span> <span class="attr">name</span><span class="kwrd">="Sarah"</span>  <span
                class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">6: </span>      <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">name</span><span class="kwrd">="Paul"</span><span class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">7: </span>      <span class="kwrd">&lt;</span><span
            class="html">Node</span> <span class="attr">name</span><span class="kwrd">="Peter"</span><span
                class="kwrd">/&gt;</span></pre>
        <pre><span class="lnum">8: </span>      <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">LineStyle</span><span class="kwrd">="dashed"</span> <span class="attr">name</span><span
                class="kwrd">="Dan"</span> <span class="attr">renderAsAssistant</span><span class="kwrd">="true"</span><span
                    class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">9: </span>    <span class="kwrd">&lt;/</span><span
            class="html">Node</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">10: </span>    <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">name</span><span class="kwrd">="John"</span>  <span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">11: </span>      <span class="kwrd">&lt;</span><span
            class="html">Node</span> <span class="attr">name</span><span class="kwrd">="Jen"</span><span
                class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">12: </span>        <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">LineStyle</span><span class="kwrd">="dotted"</span> <span class="attr">name</span><span
                class="kwrd">="Freddy"</span> <span class="attr">renderAsAssistant</span><span class="kwrd">="true"</span><span
                    class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">13: </span>      <span class="kwrd">&lt;/</span><span
            class="html">Node</span><span class="kwrd">&gt;</span>             </pre>
        <pre><span class="lnum">14: </span>      <span class="kwrd">&lt;</span><span class="html">Node</span> <span
            class="attr">name</span><span class="kwrd">="Jack"</span><span class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">15: </span>      <span class="kwrd">&lt;</span><span
            class="html">Node</span> <span class="attr">LineStyle</span><span class="kwrd">="dotted"</span> <span
                class="attr">name</span><span class="kwrd">="Jamie"</span> <span class="attr">renderAsAssistant</span><span
                    class="kwrd">="true"</span><span class="kwrd">/&gt;</span>     </pre>
        <pre><span class="lnum">16: </span>    <span class="kwrd">&lt;/</span><span class="html">Node</span><span
            class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">17: </span>    <span class="kwrd">&lt;/</span><span
            class="html">Node</span><span class="kwrd">&gt;</span></pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
        <pre class="alt"><span class="lnum">1: </span> <span class="kwrd">&lt;</span><span
            class="html">asp:XmlDataSource</span> <span class="attr">ID</span><span class="kwrd">="XmlDataSource1"</span> <span
                class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">DataFile</span><span
                    class="kwrd">="~/demo7.xml"</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:XmlDataSource</span><span
                        class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">2: </span>    <span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span
            class="attr">ID</span><span class="kwrd">="XmlBoundOrganisationChart1"</span> <span
                class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">DataSourceID</span><span
                    class="kwrd">="XmlDataSource1"</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">3: </span>        <span class="kwrd">&lt;</span><span
            class="html">AssistantItem</span> <span class="attr">ShowBackgroundImage</span><span
                class="kwrd">="False"</span> <span class="attr">AssistantHeight</span><span class="kwrd">="55"</span><span
                    class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">4: </span>            <span class="kwrd">&lt;</span><span
            class="html">ItemStyle</span> <span class="attr">Font-Bold</span><span class="kwrd">="False"</span> <span
                class="attr">Font-Overline</span><span class="kwrd">="False"</span> <span class="attr">Font-Strikeout</span><span
                    class="kwrd">="False"</span> <span class="kwrd">/&gt;</span></pre>
        <pre class="alt"><span class="lnum">5: </span>        <span class="kwrd">&lt;/</span><span
            class="html">AssistantItem</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">6: </span>        <span class="kwrd">&lt;</span><span class="html">DetailedTemplate</span><span
            class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">7: </span>            <span class="kwrd">&lt;</span><span
            class="html">div</span> <span class="attr">class</span><span class="kwrd">="demo7DetailedTemplate"</span><span
                class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">8: </span>                <span class="asp">&lt;%</span>#Container.DataElement(<span
            class="str">"name"</span>) <span class="asp">%&gt;</span></pre>
        <pre class="alt"><span class="lnum">9: </span>            <span class="kwrd">&lt;/</span><span
            class="html">div</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">10: </span>        <span class="kwrd">&lt;/</span><span class="html">DetailedTemplate</span><span
            class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">11: </span>        <span class="kwrd">&lt;</span><span
            class="html">AssistantTemplate</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">12: </span>            <span class="kwrd">&lt;</span><span
            class="html">div</span> <span class="attr">class</span><span class="kwrd">="demo7AssistantTemplate"</span><span
                class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">13: </span>                <span class="kwrd">&lt;</span><span
            class="html">center</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">14: </span>                    <span class="asp">&lt;%</span>#Container.DataElement(<span
            class="str">"name"</span>) <span class="asp">%&gt;</span><span class="kwrd">&lt;/</span><span
                class="html">center</span><span class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">15: </span>            <span class="kwrd">&lt;/</span><span
            class="html">div</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">16: </span>        <span class="kwrd">&lt;/</span><span class="html">AssistantTemplate</span><span
            class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">17: </span>        <span class="kwrd">&lt;</span><span
            class="html">ChartItem</span> <span class="attr">ShowBackgroundImage</span><span
                class="kwrd">="False"</span><span class="kwrd">&gt;</span></pre>
        <pre><span class="lnum">18: </span>        <span class="kwrd">&lt;/</span><span class="html">ChartItem</span><span
            class="kwrd">&gt;</span></pre>
        <pre class="alt"><span class="lnum">19: </span>    <span class="kwrd">&lt;/</span><span
            class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
    </div>
</asp:Content>
