﻿<%@ Page Title="ASP.NET Org Chart Component - Command And Navigation Bars" Language="C#"
    MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Demo8.aspx.cs"
    Inherits="Demo8" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <style type="text/css">
        .style1
        {
            width: 24px;
            height: 24px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="TitlePlaceHolder" runat="Server">
    ASP.NET Org Chart Component - Command And Navigation Bars
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="Server">
    <table>
        <tr>
            <td valign="top">
                <p>
                    The organisation chart component features a <i><b>command bar</b></i> that allows
                    the end users to:
                </p>
                <ul>
                    <li>                        
                            &nbsp;Set the maximum depth of chart they can view
                    </li>
                    <li>                        
                            Switch between &quot;Summary&quot; and &quot;Detailed&quot; view
                    </li>
                    <li>                        
                            Switch between &quot;Stack&quot; and &quot;Nornal&quot; drawing alogrithm
                    </li>
                    <li> Export data to Excel</li>
                </ul>
            </td>
            <td>
                &nbsp;&nbsp;&nbsp;&nbsp;
            </td>
            <td valign="top">
                <p title="Organisation Chart">
                    And a <i><b>navigation bar</b></i> that allows users to:</p>
                <ul>
                    <li>                      
                            <b>Navigate </b>through the org chart using
                            <img style="vertical-align:middle; margin-top:-2px;" alt="org chart navigate up" class="style1" longdesc="org chart navigate up"
                                src="images/Navbar/med/NavUp.png" />
                            and
                            <img style="vertical-align:middle; margin-top:-2px;" alt="org chart navigate down" class="style1" longdesc="org chart navigate down"
                                src="images/Navbar/med/NavDown.png" />
                    </li>
                    <li>                       
                            <b>Select</b> an individual item within the hierarchical chart with
                            <img style="vertical-align:middle; margin-top:-2px;" alt="Organisation Chart - Select Item" class="style1" longdesc="Organisation Chart - Select Item"
                                src="images/Navbar/med/NavSelect.png" />
                    </li>
                    <li>                       
                            Use
                            <img style="vertical-align:middle; margin-top:-2px;" class="style1" src="images/Navbar/med/NavHide.png" />
                            to <b>temporarily hide</b> the siblings of one of the nodes in the organisation
                        
                    </li>
                    <li>                       
                            Use custom icons to configure the appearance of the navigation bar
                    </li>
                </ul>
            </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
            <asp:Label ID="lblSelectedChartItem" runat="server" Text="Please Select A Chart Item"
                BorderStyle="Solid" BorderWidth="1px" Width="100%"></asp:Label>
            <cc1:XmlBoundOrganisationChart ID="XmlBoundOrganisationChart1" runat="server" DataSourceID="XmlDataSource1"
                OnItemSelected="XmlBoundOrganisationChart1_ItemSelected"
                Width="100%" ChartTitle="The Company Org Chart" MaximumDepth="3">
                <ChartItem Colour="Grey" Size="Medium">
                </ChartItem>
                <SummaryItem Colour="Grey" Size="Small">
                </SummaryItem>
                <StackItem Colour="Yellow" ShowBackgroundImage="True" Size="Narrow">
                </StackItem>
                <NavigationBarSettings Visible="True" ShowSelectButton="True" ShowNavigationButtons="True">
                </NavigationBarSettings>
                <CommandBarSettings ShowStack="False" Title="Organisation Chart Commands" LevelLabelText="Depth"
                    SummaryLabelText="Summary" StackLabelText="Stack" > </CommandBarSettings>
                <AssistantItem  Colour="Brown" Size="Medium"/>
                
                <DetailedTemplate>
                    Name :
                    <asp:Label ID="Label1" runat="server" Text='<%#Container["name"]%>'></asp:Label>
                    <br />
                    <a href='mailto://<%#Container.DataElement("name")%>@thecompany.com'>email</a><br />
                    Extn : 1234
                </DetailedTemplate>
                <SummaryTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%#Container.DataElement("name")%>'></asp:Label>
                </SummaryTemplate>
                <StackTemplate>
                    <div>
                        <asp:Label ID="Label1" runat="server" Text='<%#Container.DataElement("name")%>'></asp:Label>
                    </div>
                </StackTemplate>
                <EditTemplate>
                    Name :
                    <asp:Label ID="Label1" runat="server" Text='<%#Container.DataElement("name")%>'></asp:Label>
                    <br />
                    <a href='mailto://<%#Container.DataElement("name")%>@thecompany.com'>email</a><br />
                    Extn : 1234
                </EditTemplate>
                <EditItem Colour="Red" Size="Large">
                </EditItem>                
            </cc1:XmlBoundOrganisationChart>
            <br />
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/demo8.xml"></asp:XmlDataSource>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="CodePlaceHolder" runat="Server">
<h3>
        <a href="#">C# Code</a></h3>
    <div>
<pre class="alt"><span class="lnum">   1:  </span>    <span class="kwrd">protected</span> <span class="kwrd">override</span> <span class="kwrd">void</span> OnInit(EventArgs e)</pre>
<pre><span class="lnum">   2:  </span>    {</pre>
<pre class="alt"><span class="lnum">   3:  </span>        <span class="kwrd">base</span>.OnInit(e);</pre>
<pre><span class="lnum">   4:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">   5:  </span>        <span class="rem">// Show the Navigation Bar</span></pre>
<pre><span class="lnum">   6:  </span>        XmlBoundOrganisationChart1.NavigationBarSettings.Visible = <span class="kwrd">true</span>;</pre>
<pre class="alt"><span class="lnum">   7:  </span>        <span class="rem">// prevent the "Up" arrow drawing for the first ChartItem</span></pre>
<pre><span class="lnum">   8:  </span>        XmlBoundOrganisationChart1.NavigationBarSettings.InitialItemId = 1;</pre>
<pre class="alt"><span class="lnum">   9:  </span>        <span class="rem">// Show the "Select" Button</span></pre>
<pre><span class="lnum">  10:  </span>        XmlBoundOrganisationChart1.NavigationBarSettings.ShowSelectButton = <span class="kwrd">true</span>;</pre>
<pre class="alt"><span class="lnum">  11:  </span>&nbsp;</pre>
<pre><span class="lnum">  12:  </span>        <span class="rem">// Show the Command Bar</span></pre>
<pre class="alt"><span class="lnum">  13:  </span>        XmlBoundOrganisationChart1.CommandBarSettings.Visible = <span class="kwrd">true</span>;</pre>
<pre><span class="lnum">  14:  </span>        <span class="rem">// Show the "Stack" Checkbox</span></pre>
<pre class="alt"><span class="lnum">  15:  </span>        XmlBoundOrganisationChart1.CommandBarSettings.ShowStack = <span class="kwrd">true</span>;</pre>
<pre><span class="lnum">  16:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  17:  </span>        <span class="rem">// Set the initial stack depth to 3 </span></pre>
<pre><span class="lnum">  18:  </span>        XmlBoundOrganisationChart1.StackItem.StackDepth = 3;</pre>
<pre class="alt"><span class="lnum">  19:  </span>&nbsp;</pre>
<pre><span class="lnum">  20:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  21:  </span>        XmlBoundOrganisationChart1.StackItem.ToolTip = <span class="str">"Stack Item {name}"</span>;</pre>
<pre><span class="lnum">  22:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  23:  </span>&nbsp;</pre>
<pre><span class="lnum">  24:  </span>    }</pre>
<pre class="alt"><span class="lnum">  25:  </span>&nbsp;</pre>
<pre><span class="lnum">  26:  </span>    <span class="kwrd">protected</span> <span class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)</pre>
<pre class="alt"><span class="lnum">  27:  </span>    {</pre>
<pre><span class="lnum">  28:  </span>        <span class="rem">// Create the chart</span></pre>
<pre class="alt"><span class="lnum">  29:  </span>        XmlBoundOrganisationChart1.DataBind();</pre>
<pre><span class="lnum">  30:  </span>    }</pre>
<pre class="alt"><span class="lnum">  31:  </span>&nbsp;</pre>
<pre><span class="lnum">  32:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  33:  </span>    <span class="kwrd">protected</span> <span class="kwrd">override</span> <span class="kwrd">void</span> OnPreRender(EventArgs e)</pre>
<pre><span class="lnum">  34:  </span>    {</pre>
<pre class="alt"><span class="lnum">  35:  </span>        <span class="kwrd">base</span>.OnPreRender(e);</pre>
<pre><span class="lnum">  36:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  37:  </span>        <span class="rem">// Switch the template size depending on whether the chart user has selected "Summary" or "Full" detail</span></pre>
<pre><span class="lnum">  38:  </span>        <span class="kwrd">if</span> (XmlBoundOrganisationChart1.SummaryItem.UseSummaryTemplate)</pre>
<pre class="alt"><span class="lnum">  39:  </span>        {</pre>
<pre><span class="lnum">  40:  </span>            XmlBoundOrganisationChart1.ChartItem.Size = BackgroundImageSize.Small;</pre>
<pre class="alt"><span class="lnum">  41:  </span>        }</pre>
<pre><span class="lnum">  42:  </span>        <span class="kwrd">else</span></pre>
<pre class="alt"><span class="lnum">  43:  </span>        {</pre>
<pre><span class="lnum">  44:  </span>            XmlBoundOrganisationChart1.ChartItem.Size = BackgroundImageSize.Medium;</pre>
<pre class="alt"><span class="lnum">  45:  </span>        }</pre>
<pre><span class="lnum">  46:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  47:  </span>        <span class="rem">// bind here to reflect any navigation changes.</span></pre>
<pre><span class="lnum">  48:  </span>        XmlBoundOrganisationChart1.DataBind();</pre>
<pre class="alt"><span class="lnum">  49:  </span>    }</pre>
<pre><span class="lnum">  50:  </span>&nbsp;</pre>
<pre class="alt"><span class="lnum">  51:  </span>&nbsp;</pre>
<pre><span class="lnum">  52:  </span>    <span class="rem">/// &lt;summary&gt;</span></pre>
<pre class="alt"><span class="lnum">  53:  </span>    <span class="rem">/// This method is called when the user selects an org chart item</span></pre>
<pre><span class="lnum">  54:  </span>    <span class="rem">/// &lt;/summary&gt;</span></pre>
<pre class="alt"><span class="lnum">  55:  </span>    <span class="rem">/// &lt;param name="sender"&gt;The orgchart control&lt;/param&gt;</span></pre>
<pre><span class="lnum">  56:  </span>    <span class="rem">/// &lt;param name="e"&gt;&lt;/param&gt;</span></pre>
<pre class="alt"><span class="lnum">  57:  </span>    <span class="kwrd">protected</span> <span class="kwrd">void</span> XmlBoundOrganisationChart1_ItemSelected(<span class="kwrd">object</span> sender, OrganisationChartItemCommandEventArgs e)</pre>
<pre><span class="lnum">  58:  </span>    {</pre>
<pre class="alt"><span class="lnum">  59:  </span>&nbsp;</pre>
<pre><span class="lnum">  60:  </span>        <span class="rem">// Set the value of the label to the item name</span></pre>
<pre class="alt"><span class="lnum">  61:  </span>        lblSelectedChartItem.Text = <span class="kwrd">string</span>.Format(<span class="str">"Selected : {0}"</span>, e.Item[<span class="str">"Name"</span>]);</pre>
<pre><span class="lnum">  62:  </span>    }</pre>
    </div>
    <h3>
        <a href="#">Html Markup</a></h3>
    <div>
       
<pre class="alt"><span class="lnum">   1:  </span><span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="XmlBoundOrganisationChart1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">DataSourceID</span><span class="kwrd">="XmlDataSource1"</span></pre>
<pre><span class="lnum">   2:  </span>                <span class="attr">OnItemSelected</span><span class="kwrd">="XmlBoundOrganisationChart1_ItemSelected"</span></pre>
<pre class="alt"><span class="lnum">   3:  </span>                <span class="attr">Width</span><span class="kwrd">="800px"</span> <span class="attr">ChartTitle</span><span class="kwrd">="The Company Org Chart"</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   4:  </span>                <span class="kwrd">&lt;</span><span class="html">ChartItem</span> <span class="attr">BorderStyle</span><span class="kwrd">="Gradient1"</span> <span class="attr">Colour</span><span class="kwrd">="Grey"</span> <span class="attr">Size</span><span class="kwrd">="Medium"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   5:  </span>                <span class="kwrd">&lt;/</span><span class="html">ChartItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   6:  </span>                <span class="kwrd">&lt;</span><span class="html">SummaryItem</span> <span class="attr">BorderStyle</span><span class="kwrd">="Gradient2"</span> <span class="attr">Colour</span><span class="kwrd">="Grey"</span> <span class="attr">Size</span><span class="kwrd">="Small"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   7:  </span>                <span class="kwrd">&lt;/</span><span class="html">SummaryItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">   8:  </span>                <span class="kwrd">&lt;</span><span class="html">StackItem</span> <span class="attr">BorderStyle</span><span class="kwrd">="Gradient2"</span> <span class="attr">Colour</span><span class="kwrd">="Yellow"</span> <span class="attr">ShowBackgroundImage</span><span class="kwrd">="True"</span> <span class="attr">Size</span><span class="kwrd">="Narrow"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">   9:  </span>                <span class="kwrd">&lt;/</span><span class="html">StackItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  10:  </span>                <span class="kwrd">&lt;</span><span class="html">NavigationBarSettings</span> <span class="attr">Visible</span><span class="kwrd">="True"</span> <span class="attr">ShowSelectButton</span><span class="kwrd">="True"</span> <span class="attr">ShowNavigationButtons</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  11:  </span>                <span class="kwrd">&lt;/</span><span class="html">NavigationBarSettings</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  12:  </span>                <span class="kwrd">&lt;</span><span class="html">CommandBarSettings</span> <span class="attr">ShowStack</span><span class="kwrd">="False"</span> <span class="attr">Title</span><span class="kwrd">="Organisation Chart Commands"</span> <span class="attr">LevelLabelText</span><span class="kwrd">="Depth"</span></pre>
<pre class="alt"><span class="lnum">  13:  </span>                    <span class="attr">SummaryLabelText</span><span class="kwrd">="Summary"</span> <span class="attr">StackLabelText</span><span class="kwrd">="Stack"</span><span class="kwrd">&gt;&lt;/</span><span class="html">CommandBarSettings</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  14:  </span>                <span class="kwrd">&lt;</span><span class="html">AssistantItem</span> <span class="attr">AssistantHeight</span><span class="kwrd">="0"</span> <span class="attr">BorderStyle</span><span class="kwrd">="Oval"</span> <span class="attr">Colour</span><span class="kwrd">="Brown"</span> <span class="attr">Size</span><span class="kwrd">="Medium"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  15:  </span>                <span class="kwrd">&lt;/</span><span class="html">AssistantItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  16:  </span>                <span class="kwrd">&lt;</span><span class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  17:  </span>                    Name :</pre>
<pre><span class="lnum">  18:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("name")%&gt;'</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:Label</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  19:  </span>                    <span class="kwrd">&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre><span class="lnum">  20:  </span>                    <span class="kwrd">&lt;</span><span class="html">a</span> <span class="attr">href</span><span class="kwrd">='mailto://&lt;%#Container.DataElement("name")%&gt;@thecompany.com'</span><span class="kwrd">&gt;</span>email<span class="kwrd">&lt;/</span><span class="html">a</span><span class="kwrd">&gt;&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">  21:  </span>                    Extn : 1234</pre>
<pre><span class="lnum">  22:  </span>                <span class="kwrd">&lt;/</span><span class="html">DetailedTemplate</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  23:  </span>                <span class="kwrd">&lt;</span><span class="html">SummaryTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  24:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("name")%&gt;'</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:Label</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  25:  </span>                <span class="kwrd">&lt;/</span><span class="html">SummaryTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  26:  </span>                <span class="kwrd">&lt;</span><span class="html">StackTemplate</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  27:  </span>                    <span class="kwrd">&lt;</span><span class="html">div</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  28:  </span>                        <span class="kwrd">&lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("name")%&gt;'</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:Label</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  29:  </span>                    <span class="kwrd">&lt;/</span><span class="html">div</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  30:  </span>                <span class="kwrd">&lt;/</span><span class="html">StackTemplate</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  31:  </span>                <span class="kwrd">&lt;</span><span class="html">EditTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  32:  </span>                    Name :</pre>
<pre class="alt"><span class="lnum">  33:  </span>                    <span class="kwrd">&lt;</span><span class="html">asp:Label</span> <span class="attr">ID</span><span class="kwrd">="Label1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">Text</span><span class="kwrd">='&lt;%#Container.DataElement("name")%&gt;'</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:Label</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  34:  </span>                    <span class="kwrd">&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre class="alt"><span class="lnum">  35:  </span>                    <span class="kwrd">&lt;</span><span class="html">a</span> <span class="attr">href</span><span class="kwrd">='mailto://&lt;%#Container.DataElement("name")%&gt;@thecompany.com'</span><span class="kwrd">&gt;</span>email<span class="kwrd">&lt;/</span><span class="html">a</span><span class="kwrd">&gt;&lt;</span><span class="html">br</span> <span class="kwrd">/&gt;</span></pre>
<pre><span class="lnum">  36:  </span>                    Extn : 1234</pre>
<pre class="alt"><span class="lnum">  37:  </span>                <span class="kwrd">&lt;/</span><span class="html">EditTemplate</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  38:  </span>                <span class="kwrd">&lt;</span><span class="html">EditItem</span> <span class="attr">BorderStyle</span><span class="kwrd">="Oval"</span> <span class="attr">Colour</span><span class="kwrd">="Red"</span> <span class="attr">Size</span><span class="kwrd">="Large"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt"><span class="lnum">  39:  </span>                <span class="kwrd">&lt;/</span><span class="html">EditItem</span><span class="kwrd">&gt;</span></pre>
<pre><span class="lnum">  40:  </span>            <span class="kwrd">&lt;/</span><span class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>

      
    </div>
</asp:Content>
