<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Docs.aspx.cs" Inherits="Docs" %>

<%@ Register Assembly="OrgChart" Namespace="OrgChart.Core" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <title>Documentation</title>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="TitlePlaceHolder" runat="server">
    Organisation Chart Component - Documentation
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PageDescriptionPlaceHolder" runat="server">
    <p>This page gives an overview of some of the properties used in creating Organisation Charts.  To see the full MSDN-Style documentation visit <a href="http://doc.orgchartcomponent.com">doc.orgchartcomponent.com</a>.</p>
        <p>The organisation chart component package consists of two ASP.NET server controls <span class="propertyName">DataBoundOrganisationChart</span> and <span class="propertyName">XmlBoundOrganisationChart</span>. Select the appropriate control to display your data:</p>
       

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ChartPlaceHolder" runat="Server">
    
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="~/data1.xml"></asp:XmlDataSource>
</asp:Content>
<asp:Content ID="Content5" runat="server" ContentPlaceHolderID="CodePlaceHolder">
    <h3>
        <a href="#">Providing Xml to XmlBoundOrganisationChart:</a></h3>
    <div style="height:200px">
    <p>Xml data is provided to the <span class="propertyName">XmlBoundOrganisationChart</span> server control by using the standard XmlDataSource provider shown in the example below:</p>
       
        <div class="csharpcode2">
<pre class="alt"><span class="kwrd">&lt;</span><span class="html">cc1:XmlBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="XmlBoundOrganisationChart1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> </pre>
<pre>            <span class="attr">DataSourceID</span><span class="kwrd">="XmlDataSource1"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt">        <span class="kwrd">&lt;/</span><span class="html">cc1:XmlBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>

<pre>        <span class="kwrd">&lt;</span><span class="html">asp:XmlDataSource</span> <span class="attr">ID</span><span class="kwrd">="XmlDataSource1"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> <span class="attr">DataFile</span><span class="kwrd">="~/data1.xml"</span><span class="kwrd">&gt;&lt;/</span><span class="html">asp:XmlDataSource</span><span class="kwrd">&gt;</span></pre>
</div>
        
    </div>
    
    <h3>
        <a href="#">Providing data to DataBoundOrganisationChart:</a></h3>
    <div style="height:200px">
    <p>Data is provided to the <span class="propertyName">DataBoundOrganisationChart</span> by either using a relational data source control or programmatically by providing a DataTable to the Datasource property:</p>
    
      <tr>
							        <td><!-- code formatted by http://manoli.net/csharpformat/ -->
<div class="csharpcode2">
<pre class="alt"> <span class="kwrd">&lt;</span><span class="html">cc1:DataBoundOrganisationChart</span> <span class="attr">ID</span><span class="kwrd">="DataBoundOrganisationChart2"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> </pre>
<pre>            <span class="attr">DataSourceId</span><span class="kwrd">="SqlDataSource1"</span> <span class="attr">StackDepth</span><span class="kwrd">="2"</span> <span class="attr">Enabled</span><span class="kwrd">="True"</span><span class="kwrd">&gt;</span>            </pre>

<pre class="alt">        <span class="kwrd">&lt;/</span><span class="html">cc1:DataBoundOrganisationChart</span><span class="kwrd">&gt;</span></pre>
<pre>        <span class="kwrd">&lt;</span><span class="html">asp:SqlDataSource</span> <span class="attr">ID</span><span class="kwrd">="SqlDataSource2"</span> <span class="attr">runat</span><span class="kwrd">="server"</span> </pre>
<pre class="alt">            <span class="attr">ConnectionString</span><span class="kwrd">="&lt;%$ ConnectionStrings:ConnectionString %&gt;"</span> </pre>

<pre>            <span class="attr">SelectCommand</span><span class="kwrd">="SELECT [UniqueId], [ManagerId], [name], [url] FROM [People]"</span><span class="kwrd">&gt;</span></pre>
<pre class="alt">        <span class="kwrd">&lt;/</span><span class="html">asp:SqlDataSource</span><span class="kwrd">&gt;</span></pre>
</div></td>
							        
							        <td valign="top"><p class="textStyle"><b>OR</b></p></td>
							        
							        <td valign="top"><!-- code formatted by http://manoli.net/csharpformat/ -->
<div class="csharpcode2">
<pre class="alt"><span class="kwrd">protected</span> <span class="kwrd">void</span> Page_Load(<span class="kwrd">object</span> sender, EventArgs e)</pre>

<pre>    {</pre>
<pre class="alt">        OrgChart1.DataSource = MyDataTable;        </pre>
<pre>        OrgChart1.DataBind();</pre>
<pre class="alt">    }</pre>
</div></td>
							    </tr> 
    </div> 
     <h3>
        <a href="#">Properties and Usage</a></h3>
    <div style="height:200px">
        
        

<table class="orgcharttable">
  <thead>
    <tr class="odd">
      <td style="width: 100px; background-color:#123c7a; color:#ffffff;">Name</td>
      <td style="width: 75px; background-color:#123c7a; color:#ffffff;">Type</td>
       <td style="width: 375px; background-color:#123c7a; color:#ffffff;">Usage</td>
      </tr>	
    </thead>

  
  <tbody>
    <tr class="even">
      <th scope="row" class="column1">UserControlTemplate</a></th>
      <td>System.Data.DataTable</td>
      <td>full path and name ( including the .ascx extension ) of a user control to be used as the cell template for this chart.  Overrides CellTemplate</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">CellTemplate</th>
      <td>string</td>
      <td>Defines a style of the cell template.</td>
    </tr>	
    <tr class="even">
      <th scope="row" class="column1">Chart</th>
      <td>HtmlTable</td>
      <td>Gets the HTML table containing the chart.  This will only be populated after the control has been rendered.</td>
    </tr>
    <tr class="odd">
      <th scope="row" class="column1">MaximumDepth</th>
      <td>int</td>
      <td>Restricts the Organisation Chart to a specific depth.</td>
    </tr>
    <tr class="even">
      <th scope="row" class="column1">StyleSheet</th>
      <td>string</td>
      <td>Defines a style sheet used by the Organisation Chart.</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">ChartDataSource</th>
      <td>ChartDataSource</td>
      <td>Determines whether the Organisation Chart is drawn from an XML document or DataTable.</td>
    </tr>	
    <tr class="even">
      <th scope="row" class="column1">ChartHeadingHTML</th>
      <td>string</td>
      <td>The title of the chart.</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">ChartFooterHTML</th>
      <td>string</td>
      <td>Chart footer.</td>
    </tr>
    <tr class="even">
      <th scope="row" class="column1">ShowNavigationBar</th>
      <td>bool</td>
      <td>Shows or hides the navigation controls.  These controls allow the end user to move up or down through a chart hierarchy.</td>
    </tr>
     </tbody>
  <thead>
    <tr class="odd">
      <td style="width: 125px; background-color:#666; color:#ffffff;">Data Table Binding</td>
      <td style="width: 75px; background-color:#666; color:#ffffff;"></td>
       <td style="width: 375px; background-color:#666; color:#ffffff;"></td>
      </tr>	
    </thead>  
  
   <tbody>
    <tr class="even">
      <th scope="row" class="column1">PrimaryKey</a></th>
      <td>string</td>
      <td>name of the primary key field.</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">StartValue</th>
      <td>object</td>
      <td>value of primary key to start the chart.</td>
    </tr>	
    <tr class="even">
      <th scope="row" class="column1">ParentField</th>
      <td>string</td>
      <td>name of the parent field.</td>
    </tr>
    <tr class="odd">
      <th scope="row" class="column1">DataTable</th>
      <td>System.Data.DataTable</td>
      <td>The data being charted.</td>
    </tr>
     </tbody>
     
     
     
       <thead>
    <tr class="odd">
      <td style="width: 100px; background-color:#666; color:#ffffff;">Advanced Charting Options</td>
      <td style="width: 75px; background-color:#666; color:#ffffff;"></td>
       <td style="width: 375px; background-color:#666; color:#ffffff;"></td>
      </tr>	
    </thead>  
  
   <tbody>
    <tr class="even">
      <th scope="row" class="column1">Enabled</a></th>
      <td>bool</td>
      <td>If true then apply the "Stack Child" rendering algorithm if chart depth exceeds value of StackDepth property.</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">StackDepth</th>
      <td>int</td>
      <td>Level beneath which to render child nodes us.</td>
    </tr>	
     </tbody>
  
</table>
</div>







     <h3>
        <a href="#">Additional Information</a></h3>
    <div style="height:200px">
        
<p>Developers can supply additional information the organisation chart component on a per node basis  to further customise the display of the chart.  For XML based chart this information is passed as additional XML attributes, for a database based chart it is an extra column in the data table.</p> 

<table class="orgcharttable">
   
     
     
       <thead>
    <tr class="odd">
      <td style="width: 150px; background-color:#123c7a; color:#ffffff;">Attribute/Column Name</td>
      <td style="width: 75px; background-color:#123c7a; color:#ffffff;">Type</td>
       <td style="width: 325px; background-color:#123c7a; color:#ffffff;">Usage</td>
      </tr>	
    </thead>
  
   <tbody>
    <tr class="even">
      <th scope="row" class="column1">UserControl</a></th>
      <td>string</td>
      <td>Specifies which user control should be used to draw this node.</td>
    </tr>	
    <tr class="odd">
      <th scope="row" class="column1">RenderAsAssistant</th>
      <td>bool</td>
      <td>If true then this node is drawn as though it were an assistant to its parent node.</td>
    </tr>	
     </tbody>
  
</table>


</div>
    
</asp:Content>

