﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class EditOrgChart : System.Web.UI.Page
{

    #region Create a DataTable of data

    // Create some data
    private DataTable Data
    {
        get
        {
            if (Session["EditData"] == null)
            {
                DataTable data = new DataTable();

                data.Columns.Add("UniqueId", typeof(int));
                data.Columns.Add("ManagerId", typeof(int));
                data.Columns.Add("Name", typeof(string));
             
                addRow(data, 1, 0, "Big Cheese");
                addRow(data, 2, 1, "Bill");
                addRow(data, 3, 1, "Ben");
                addRow(data, 4, 2, "Sally");
                addRow(data, 5, 2, "Sue");
                addRow(data, 6, 3, "Fred");

               

                Session["EditData"] = data;
            }

            return Session["EditData"] as DataTable;
        }
    }

    private void addRow(DataTable data, int p, int p_3,string p_4)
    {
        DataRow r = data.NewRow();
        r[0] = p;
        r[1] = p_3;
        r[2] = p_4;
        
        
        data.Rows.Add(r);
    }

    

    private void UpdateRow(string Id, string newName)
    {
        // Ok so this isn't elegant but it will do for this demo!!!

        DataView childNodes = new DataView(Data);
        childNodes.RowFilter = String.Format("[UniqueId]={0}", Id);
        childNodes[0]["Name"] = newName;
    }

    private void NewRow(string ManagerId)
    {
        // you could execute some SQL here to create a new row
        // In this example we'll just pop a new row into the DataTable

        // Get new next "Id"

        DataView childNodes = new DataView(Data);
        childNodes.RowFilter = "[UniqueId]=Max(UniqueId)";

        int id = Convert.ToInt16(childNodes[0][0]) + 1;

        DataRow newRow = Data.NewRow();
        newRow["UniqueId"] = id;
        newRow["ManagerId"] = ManagerId;
        newRow["Name"] = "New Person("+id+")";

        Data.Rows.Add(newRow);
    }

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {

        // Allows the end user just to click the ChartItem ( rather than the select button ) to select
        // the item.
        DataChart.ChartItem.EnableItemSelect = true;
        // Bind the chart to our data ( in this instance it is a DataTable ) 
        DataChart.DataSource = Data;
        // Create the chart
        DataChart.DataBind();        
    }

   
   
    /// <summary>
    /// This method is invoked when the "Update" link button is clicked by the user
    /// </summary>    
    protected void lnkUpdate_Click(object sender, EventArgs e)
    {
        // Get the unique Id from the LinkButton and the 
        // new name from the text box
        LinkButton lb = sender as LinkButton;
        TextBox tb = lb.Parent.FindControl("TextBox1") as TextBox;

        // Update the "Database"
        UpdateRow(lb.CommandArgument, tb.Text);

        //Cancel the selected Chart Item
        DataChart.SelectedValue = null;
    }

    /// <summary>
    /// This method is invoked when the "Add Peer" or "Add Child" link button is clicked by the user
    /// </summary>    
    protected void AddNewNode(object sender, EventArgs e)
    {
        // Get the unique Id from the LinkButton and the 
        // new name from the text box
        LinkButton lb = sender as LinkButton;
    
        // Update the "Database"
        NewRow(lb.CommandArgument);

        //Cancel the selected Chart Item
        DataChart.SelectedValue = null;
    }

    


    /// <summary>
    /// This method is invoked when the "Cancel" link button is clicked by the user
    /// </summary>
    protected void lnkCancel_Click(object sender, EventArgs e)
    {
        // Cancel the selected Chart Item
        DataChart.SelectedValue = null;
    }

    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);
        DataChart.DataBind();
    }
}
